package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会计汇总报（年、季、月）对象 tgjj_kjhzb
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjKjhzb extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 报表期次 */
    @Excel(name = "报表期次")
    private String BBQC;

    /** 住房公积金存款 */
    @Excel(name = "住房公积金存款")
    private BigDecimal ZFGJJCK;

    /** 增值收益存款 */
    @Excel(name = "增值收益存款")
    private BigDecimal ZZSYCK;

    /** 应收利息 */
    @Excel(name = "应收利息")
    private BigDecimal YSLX;

    /** 其他应收款 */
    @Excel(name = "其他应收款")
    private BigDecimal QTYSK;

    /** 委托贷款 */
    @Excel(name = "委托贷款")
    private BigDecimal WTDK;

    /** 个人贷款 */
    @Excel(name = "个人贷款")
    private BigDecimal GRDK;

    /** 项目贷款 */
    @Excel(name = "项目贷款")
    private BigDecimal XMDK;

    /** 逾期贷款 */
    @Excel(name = "逾期贷款")
    private BigDecimal YQDK;

    /** 个人逾期贷款 */
    @Excel(name = "个人逾期贷款")
    private BigDecimal GRYQDK;

    /** 项目逾期贷款 */
    @Excel(name = "项目逾期贷款")
    private BigDecimal XMYQDK;

    /** 国家债券 */
    @Excel(name = "国家债券")
    private BigDecimal GJZQ;

    /** 住房公积金 */
    @Excel(name = "住房公积金")
    private BigDecimal ZFGJJ;

    /** 应付利息 */
    @Excel(name = "应付利息")
    private BigDecimal YFLX;

    /** 专项应付款 */
    @Excel(name = "专项应付款")
    private BigDecimal ZXYFK;

    /** 住房公积金管理中心管理费用 */
    @Excel(name = "住房公积金管理中心管理费用")
    private BigDecimal ZFGJJGLZXGLFY;

    /** 城市廉租住房建设补充资金专项应付 */
    @Excel(name = "城市廉租住房建设补充资金专项应付")
    private BigDecimal CSLZFJSBCZJZXYF;

    /** 其他应付款 */
    @Excel(name = "其他应付款")
    private BigDecimal QTYFK;

    /** 贷款风险准备 */
    @Excel(name = "贷款风险准备")
    private BigDecimal DKFXZB;

    /** 个人贷款风险准备 */
    @Excel(name = "个人贷款风险准备")
    private BigDecimal GRDKFXZB;

    /** 项目贷款风险准备 */
    @Excel(name = "项目贷款风险准备")
    private BigDecimal XMDKFXZB;

    /** 增值收益 */
    @Excel(name = "增值收益")
    private BigDecimal ZZSY;

    /** 增值收益分配 */
    @Excel(name = "增值收益分配")
    private BigDecimal ZZSYFP;

    /** 提取贷款风险准备 */
    @Excel(name = "提取贷款风险准备")
    private BigDecimal TQDKFXZB;

    /** 提取个人贷款风险准备 */
    @Excel(name = "提取个人贷款风险准备")
    private BigDecimal TQGRDKFXZB;

    /** 提取项目贷款风险准备 */
    @Excel(name = "提取项目贷款风险准备")
    private BigDecimal TQXMDKFXZB;

    /** 提取公积金中心管理费用 */
    @Excel(name = "提取公积金中心管理费用")
    private BigDecimal TQGJJZXGLFY;

    /** 城市廉租住房建设补充资金 */
    @Excel(name = "城市廉租住房建设补充资金")
    private BigDecimal CSLZZFJSBCZJ;

    /** 待分配增值收益 */
    @Excel(name = "待分配增值收益")
    private BigDecimal DFPZZSY;

    /** 业务收入 */
    @Excel(name = "业务收入")
    private BigDecimal YWSR;

    /** 住房公积金利息收入 */
    @Excel(name = "住房公积金利息收入")
    private BigDecimal ZFGJJLXSR;

    /** 增值收益利息收入 */
    @Excel(name = "增值收益利息收入")
    private BigDecimal ZZSYLXSR;

    /** 委托贷款利息收入 */
    @Excel(name = "委托贷款利息收入")
    private BigDecimal WTDKLXSR;

    /** 个人贷款利息收入 */
    @Excel(name = "个人贷款利息收入")
    private BigDecimal GRDKLXSR;

    /** 项目贷款利息收入 */
    @Excel(name = "项目贷款利息收入")
    private BigDecimal XMDKLXSR;

    /** 国家债券利息收入 */
    @Excel(name = "国家债券利息收入")
    private BigDecimal GJZQLXSR;

    /** 其他收入 */
    @Excel(name = "其他收入")
    private BigDecimal QTSR;

    /** 个人贷款逾期罚息收入 */
    @Excel(name = "个人贷款逾期罚息收入")
    private BigDecimal GRDKYQFXSR;

    /** 项目贷款逾期罚息收入 */
    @Excel(name = "项目贷款逾期罚息收入")
    private BigDecimal XMDKYQFXSR;

    /** 业务支出 */
    @Excel(name = "业务支出")
    private BigDecimal YWZC;

    /** 住房公积金利息支出 */
    @Excel(name = "住房公积金利息支出")
    private BigDecimal ZFGJJLXZC;

    /** 住房公积金归集手续费支出 */
    @Excel(name = "住房公积金归集手续费支出")
    private BigDecimal ZFGJJGJSXFZC;

    /** 委托贷款手续费支出 */
    @Excel(name = "委托贷款手续费支出")
    private BigDecimal WTDKSXFZC;

    /** 个人贷款手续费支出 */
    @Excel(name = "个人贷款手续费支出")
    private BigDecimal GRDKSXFZC;

    /** 项目贷款手续费支出 */
    @Excel(name = "项目贷款手续费支出")
    private BigDecimal XMDKSXFZC;

    /** 项目贷款其他支出 */
    @Excel(name = "项目贷款其他支出")
    private BigDecimal XMDKQTZC;

    /** 其他支出 */
    @Excel(name = "其他支出")
    private BigDecimal QTZC;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型（LIST1|插入/2|更新/3|删除/） */
    @Excel(name = "处理类型", readConverterExp = "L=IST1|插入/2|更新/3|删除/")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setBBQC(String BBQC)
    {
        this.BBQC = BBQC;
    }

    public String getBBQC()
    {
        return BBQC;
    }
    public void setZFGJJCK(BigDecimal ZFGJJCK)
    {
        this.ZFGJJCK = ZFGJJCK;
    }

    public BigDecimal getZFGJJCK()
    {
        return ZFGJJCK;
    }
    public void setZZSYCK(BigDecimal ZZSYCK)
    {
        this.ZZSYCK = ZZSYCK;
    }

    public BigDecimal getZZSYCK()
    {
        return ZZSYCK;
    }
    public void setYSLX(BigDecimal YSLX)
    {
        this.YSLX = YSLX;
    }

    public BigDecimal getYSLX()
    {
        return YSLX;
    }
    public void setQTYSK(BigDecimal QTYSK)
    {
        this.QTYSK = QTYSK;
    }

    public BigDecimal getQTYSK()
    {
        return QTYSK;
    }
    public void setWTDK(BigDecimal WTDK)
    {
        this.WTDK = WTDK;
    }

    public BigDecimal getWTDK()
    {
        return WTDK;
    }
    public void setGRDK(BigDecimal GRDK)
    {
        this.GRDK = GRDK;
    }

    public BigDecimal getGRDK()
    {
        return GRDK;
    }
    public void setXMDK(BigDecimal XMDK)
    {
        this.XMDK = XMDK;
    }

    public BigDecimal getXMDK()
    {
        return XMDK;
    }
    public void setYQDK(BigDecimal YQDK)
    {
        this.YQDK = YQDK;
    }

    public BigDecimal getYQDK()
    {
        return YQDK;
    }
    public void setGRYQDK(BigDecimal GRYQDK)
    {
        this.GRYQDK = GRYQDK;
    }

    public BigDecimal getGRYQDK()
    {
        return GRYQDK;
    }
    public void setXMYQDK(BigDecimal XMYQDK)
    {
        this.XMYQDK = XMYQDK;
    }

    public BigDecimal getXMYQDK()
    {
        return XMYQDK;
    }
    public void setGJZQ(BigDecimal GJZQ)
    {
        this.GJZQ = GJZQ;
    }

    public BigDecimal getGJZQ()
    {
        return GJZQ;
    }
    public void setZFGJJ(BigDecimal ZFGJJ)
    {
        this.ZFGJJ = ZFGJJ;
    }

    public BigDecimal getZFGJJ()
    {
        return ZFGJJ;
    }
    public void setYFLX(BigDecimal YFLX)
    {
        this.YFLX = YFLX;
    }

    public BigDecimal getYFLX()
    {
        return YFLX;
    }
    public void setZXYFK(BigDecimal ZXYFK)
    {
        this.ZXYFK = ZXYFK;
    }

    public BigDecimal getZXYFK()
    {
        return ZXYFK;
    }
    public void setZFGJJGLZXGLFY(BigDecimal ZFGJJGLZXGLFY)
    {
        this.ZFGJJGLZXGLFY = ZFGJJGLZXGLFY;
    }

    public BigDecimal getZFGJJGLZXGLFY()
    {
        return ZFGJJGLZXGLFY;
    }
    public void setCSLZFJSBCZJZXYF(BigDecimal CSLZFJSBCZJZXYF)
    {
        this.CSLZFJSBCZJZXYF = CSLZFJSBCZJZXYF;
    }

    public BigDecimal getCSLZFJSBCZJZXYF()
    {
        return CSLZFJSBCZJZXYF;
    }
    public void setQTYFK(BigDecimal QTYFK)
    {
        this.QTYFK = QTYFK;
    }

    public BigDecimal getQTYFK()
    {
        return QTYFK;
    }
    public void setDKFXZB(BigDecimal DKFXZB)
    {
        this.DKFXZB = DKFXZB;
    }

    public BigDecimal getDKFXZB()
    {
        return DKFXZB;
    }
    public void setGRDKFXZB(BigDecimal GRDKFXZB)
    {
        this.GRDKFXZB = GRDKFXZB;
    }

    public BigDecimal getGRDKFXZB()
    {
        return GRDKFXZB;
    }
    public void setXMDKFXZB(BigDecimal XMDKFXZB)
    {
        this.XMDKFXZB = XMDKFXZB;
    }

    public BigDecimal getXMDKFXZB()
    {
        return XMDKFXZB;
    }
    public void setZZSY(BigDecimal ZZSY)
    {
        this.ZZSY = ZZSY;
    }

    public BigDecimal getZZSY()
    {
        return ZZSY;
    }
    public void setZZSYFP(BigDecimal ZZSYFP)
    {
        this.ZZSYFP = ZZSYFP;
    }

    public BigDecimal getZZSYFP()
    {
        return ZZSYFP;
    }
    public void setTQDKFXZB(BigDecimal TQDKFXZB)
    {
        this.TQDKFXZB = TQDKFXZB;
    }

    public BigDecimal getTQDKFXZB()
    {
        return TQDKFXZB;
    }
    public void setTQGRDKFXZB(BigDecimal TQGRDKFXZB)
    {
        this.TQGRDKFXZB = TQGRDKFXZB;
    }

    public BigDecimal getTQGRDKFXZB()
    {
        return TQGRDKFXZB;
    }
    public void setTQXMDKFXZB(BigDecimal TQXMDKFXZB)
    {
        this.TQXMDKFXZB = TQXMDKFXZB;
    }

    public BigDecimal getTQXMDKFXZB()
    {
        return TQXMDKFXZB;
    }
    public void setTQGJJZXGLFY(BigDecimal TQGJJZXGLFY)
    {
        this.TQGJJZXGLFY = TQGJJZXGLFY;
    }

    public BigDecimal getTQGJJZXGLFY()
    {
        return TQGJJZXGLFY;
    }
    public void setCSLZZFJSBCZJ(BigDecimal CSLZZFJSBCZJ)
    {
        this.CSLZZFJSBCZJ = CSLZZFJSBCZJ;
    }

    public BigDecimal getCSLZZFJSBCZJ()
    {
        return CSLZZFJSBCZJ;
    }
    public void setDFPZZSY(BigDecimal DFPZZSY)
    {
        this.DFPZZSY = DFPZZSY;
    }

    public BigDecimal getDFPZZSY()
    {
        return DFPZZSY;
    }
    public void setYWSR(BigDecimal YWSR)
    {
        this.YWSR = YWSR;
    }

    public BigDecimal getYWSR()
    {
        return YWSR;
    }
    public void setZFGJJLXSR(BigDecimal ZFGJJLXSR)
    {
        this.ZFGJJLXSR = ZFGJJLXSR;
    }

    public BigDecimal getZFGJJLXSR()
    {
        return ZFGJJLXSR;
    }
    public void setZZSYLXSR(BigDecimal ZZSYLXSR)
    {
        this.ZZSYLXSR = ZZSYLXSR;
    }

    public BigDecimal getZZSYLXSR()
    {
        return ZZSYLXSR;
    }
    public void setWTDKLXSR(BigDecimal WTDKLXSR)
    {
        this.WTDKLXSR = WTDKLXSR;
    }

    public BigDecimal getWTDKLXSR()
    {
        return WTDKLXSR;
    }
    public void setGRDKLXSR(BigDecimal GRDKLXSR)
    {
        this.GRDKLXSR = GRDKLXSR;
    }

    public BigDecimal getGRDKLXSR()
    {
        return GRDKLXSR;
    }
    public void setXMDKLXSR(BigDecimal XMDKLXSR)
    {
        this.XMDKLXSR = XMDKLXSR;
    }

    public BigDecimal getXMDKLXSR()
    {
        return XMDKLXSR;
    }
    public void setGJZQLXSR(BigDecimal GJZQLXSR)
    {
        this.GJZQLXSR = GJZQLXSR;
    }

    public BigDecimal getGJZQLXSR()
    {
        return GJZQLXSR;
    }
    public void setQTSR(BigDecimal QTSR)
    {
        this.QTSR = QTSR;
    }

    public BigDecimal getQTSR()
    {
        return QTSR;
    }
    public void setGRDKYQFXSR(BigDecimal GRDKYQFXSR)
    {
        this.GRDKYQFXSR = GRDKYQFXSR;
    }

    public BigDecimal getGRDKYQFXSR()
    {
        return GRDKYQFXSR;
    }
    public void setXMDKYQFXSR(BigDecimal XMDKYQFXSR)
    {
        this.XMDKYQFXSR = XMDKYQFXSR;
    }

    public BigDecimal getXMDKYQFXSR()
    {
        return XMDKYQFXSR;
    }
    public void setYWZC(BigDecimal YWZC)
    {
        this.YWZC = YWZC;
    }

    public BigDecimal getYWZC()
    {
        return YWZC;
    }
    public void setZFGJJLXZC(BigDecimal ZFGJJLXZC)
    {
        this.ZFGJJLXZC = ZFGJJLXZC;
    }

    public BigDecimal getZFGJJLXZC()
    {
        return ZFGJJLXZC;
    }
    public void setZFGJJGJSXFZC(BigDecimal ZFGJJGJSXFZC)
    {
        this.ZFGJJGJSXFZC = ZFGJJGJSXFZC;
    }

    public BigDecimal getZFGJJGJSXFZC()
    {
        return ZFGJJGJSXFZC;
    }
    public void setWTDKSXFZC(BigDecimal WTDKSXFZC)
    {
        this.WTDKSXFZC = WTDKSXFZC;
    }

    public BigDecimal getWTDKSXFZC()
    {
        return WTDKSXFZC;
    }
    public void setGRDKSXFZC(BigDecimal GRDKSXFZC)
    {
        this.GRDKSXFZC = GRDKSXFZC;
    }

    public BigDecimal getGRDKSXFZC()
    {
        return GRDKSXFZC;
    }
    public void setXMDKSXFZC(BigDecimal XMDKSXFZC)
    {
        this.XMDKSXFZC = XMDKSXFZC;
    }

    public BigDecimal getXMDKSXFZC()
    {
        return XMDKSXFZC;
    }
    public void setXMDKQTZC(BigDecimal XMDKQTZC)
    {
        this.XMDKQTZC = XMDKQTZC;
    }

    public BigDecimal getXMDKQTZC()
    {
        return XMDKQTZC;
    }
    public void setQTZC(BigDecimal QTZC)
    {
        this.QTZC = QTZC;
    }

    public BigDecimal getQTZC()
    {
        return QTZC;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("ZXBH", getZXBH())
            .append("BBQC", getBBQC())
            .append("ZFGJJCK", getZFGJJCK())
            .append("ZZSYCK", getZZSYCK())
            .append("YSLX", getYSLX())
            .append("QTYSK", getQTYSK())
            .append("WTDK", getWTDK())
            .append("GRDK", getGRDK())
            .append("XMDK", getXMDK())
            .append("YQDK", getYQDK())
            .append("GRYQDK", getGRYQDK())
            .append("XMYQDK", getXMYQDK())
            .append("GJZQ", getGJZQ())
            .append("ZFGJJ", getZFGJJ())
            .append("YFLX", getYFLX())
            .append("ZXYFK", getZXYFK())
            .append("ZFGJJGLZXGLFY", getZFGJJGLZXGLFY())
            .append("CSLZFJSBCZJZXYF", getCSLZFJSBCZJZXYF())
            .append("QTYFK", getQTYFK())
            .append("DKFXZB", getDKFXZB())
            .append("GRDKFXZB", getGRDKFXZB())
            .append("XMDKFXZB", getXMDKFXZB())
            .append("ZZSY", getZZSY())
            .append("ZZSYFP", getZZSYFP())
            .append("TQDKFXZB", getTQDKFXZB())
            .append("TQGRDKFXZB", getTQGRDKFXZB())
            .append("TQXMDKFXZB", getTQXMDKFXZB())
            .append("TQGJJZXGLFY", getTQGJJZXGLFY())
            .append("CSLZZFJSBCZJ", getCSLZZFJSBCZJ())
            .append("DFPZZSY", getDFPZZSY())
            .append("YWSR", getYWSR())
            .append("ZFGJJLXSR", getZFGJJLXSR())
            .append("ZZSYLXSR", getZZSYLXSR())
            .append("WTDKLXSR", getWTDKLXSR())
            .append("GRDKLXSR", getGRDKLXSR())
            .append("XMDKLXSR", getXMDKLXSR())
            .append("GJZQLXSR", getGJZQLXSR())
            .append("QTSR", getQTSR())
            .append("GRDKYQFXSR", getGRDKYQFXSR())
            .append("XMDKYQFXSR", getXMDKYQFXSR())
            .append("YWZC", getYWZC())
            .append("ZFGJJLXZC", getZFGJJLXZC())
            .append("ZFGJJGJSXFZC", getZFGJJGJSXFZC())
            .append("WTDKSXFZC", getWTDKSXFZC())
            .append("GRDKSXFZC", getGRDKSXFZC())
            .append("XMDKSXFZC", getXMDKSXFZC())
            .append("XMDKQTZC", getXMDKQTZC())
            .append("QTZC", getQTZC())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
